"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var hoist_non_react_statics_1 = __importDefault(require("hoist-non-react-statics"));
var NavigationContext_1 = require("../contexts/NavigationContext");
var setCompositionDisplayName_1 = __importDefault(require("../helpers/setCompositionDisplayName"));
/**
 * A public higher-order component to access the NavigationContext componentId value
 */
var withNavigationProvider = function (WrappedComponent) {
    var NavigationProviderContainer = function (_a) {
        var componentId = _a.componentId, props = __rest(_a, ["componentId"]);
        return (react_1.default.createElement(NavigationContext_1.NavigationProvider, { value: { componentId: componentId } },
            react_1.default.createElement(WrappedComponent, __assign({ componentId: componentId }, props))));
    };
    setCompositionDisplayName_1.default(NavigationProviderContainer, WrappedComponent);
    hoist_non_react_statics_1.default(NavigationProviderContainer, WrappedComponent);
    return NavigationProviderContainer;
};
exports.default = withNavigationProvider;
//# sourceMappingURL=withNavigationProvider.js.map