"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var react_native_navigation_1 = require("react-native-navigation");
/**
 * Registers listener to be called when a BottomTab is selected by the user.
 * [more info](https://wix.github.io/react-native-navigation/api/events/#registerbottomtabselectedlistener)
 */
function useNavigationBottomTabSelect(
/**
 * Function called each time the event is triggered.
 */
handler) {
    react_1.useLayoutEffect(function () {
        var subscription = react_native_navigation_1.Navigation.events().registerBottomTabSelectedListener(handler);
        return function () { return subscription.remove(); };
    }, [handler]);
}
exports.default = useNavigationBottomTabSelect;
//# sourceMappingURL=useNavigationBottomTabSelect.js.map