import { NavigationButtonPressedEvent } from 'react-native-navigation';
import { BaseEventHandlerOptions } from '../types/BaseEventHandlerOptions';
declare type EventHandler = (event: NavigationButtonPressedEvent) => any;
declare type Options = {
    /**
     * Navigation button reference id.
     */
    buttonId?: string;
} & BaseEventHandlerOptions;
declare function useNavigationButtonPress(
/**
 * Function called each time the event is triggered.
 */
handler: EventHandler, 
/**
 * Component reference id. If provided it listens for event only for this screen.
 */
componentId?: string, 
/**
 * Navigation button reference id.
 */
buttonId?: string): void;
declare function useNavigationButtonPress(
/**
 * Function called each time the event is triggered.
 */
handler: EventHandler, 
/**
 * Options to handle event trigger.
 */
options?: Options): void;
export default useNavigationButtonPress;
//# sourceMappingURL=useNavigationButtonPress.d.ts.map