/**
 * Registers listener to be called when a Navigation command (i.e push, pop, showModal etc) is invoked.
 * [more info](https://wix.github.io/react-native-navigation/api/events/#registercommandlistener)
 */
declare function useNavigationCommand(
/**
 * Function called each time the event is triggered.
 */
handler: (name: string, params: any) => any, 
/**
 * Component reference id. If provided it listens for event only for this screen.
 */
commandName?: string): void;
export default useNavigationCommand;
//# sourceMappingURL=useNavigationCommand.d.ts.map